#include <lua.hpp>
#include <LuaBridge.h>
#include <iostream>

#pragma comment(lib, "lua54.lib")

int main() {
  lua_State* L = luaL_newstate();
  luaL_openlibs(L);

  if (0 != luaL_dofile(L, "script.lua")) {
    std::cout << "__err__ : Can't open input file: script.lua" << std::endl;
    return EXIT_FAILURE;
  }

  //    
  luabridge::LuaRef n = luabridge::getGlobal(L, "test_number");

  //   LUA   C++
  int luaNumber = n.cast<int>();

  //     
  std::cout << "LUA number is '" << luaNumber << "'" << std::endl;
  return EXIT_SUCCESS;
}
